drop table if exists septum_currents;

create table 	septum_currents
select		run ,
		flag ,
		septum AS true_read ,
		septum AS i_read_eds ,
		septum AS i_read_wwwbeg ,
		septum AS i_read_mssbeg ,
		septum AS i_read_wwwend ,
		septum AS i_read_mssend ,
		septum_set AS true_set ,
		septum_set AS i_set_wwwbeg ,
		septum_set AS i_set_mssbeg ,
		septum_set AS i_set_wwwend ,
		septum_set AS i_set_mssend
from summary;

UPDATE septum_currents SET true_set = 367.50 WHERE run = 2213;

UPDATE septum_currents SET i_read_wwwbeg = NULL;
UPDATE septum_currents SET i_read_mssbeg = NULL;
UPDATE septum_currents SET i_read_wwwend = NULL;
UPDATE septum_currents SET i_read_mssend = NULL;

UPDATE septum_currents SET i_set_wwwbeg = NULL;
UPDATE septum_currents SET i_set_mssbeg = NULL;
UPDATE septum_currents SET i_set_wwwend = NULL;
UPDATE septum_currents SET i_set_mssend = NULL;

UPDATE septum_currents,wwwbeg SET i_read_wwwbeg = wwwbeg.`Right septum current readback` WHERE run = krun;
UPDATE septum_currents,mssbeg SET i_read_mssbeg = mssbeg.`Right septum current readback` WHERE run = krun;
UPDATE septum_currents,wwwend SET i_read_wwwend = wwwend.`Right septum current readback` WHERE run = krun;
UPDATE septum_currents,mssend SET i_read_mssend = mssend.`Right septum current readback` WHERE run = krun;

UPDATE septum_currents,wwwbeg SET i_set_wwwbeg = wwwbeg.`Right septum set current` WHERE run = krun;
UPDATE septum_currents,mssbeg SET i_set_mssbeg = mssbeg.`Right septum set current` WHERE run = krun;
UPDATE septum_currents,wwwend SET i_set_wwwend = wwwend.`Right septum set current` WHERE run = krun;
UPDATE septum_currents,mssend SET i_set_mssend = mssend.`Right septum set current` WHERE run = krun;

UPDATE septum_currents SET true_read = NULL;

UPDATE septum_currents SET true_read = (i_read_mssend+i_read_mssbeg)/2.0 WHERE i_set_mssbeg = true_set
									   and i_set_mssend = true_set
									   and abs(i_read_mssend-i_read_mssbeg) < 0.750;

UPDATE septum_currents SET true_read = (i_read_wwwend+i_read_wwwbeg)/2.0 WHERE i_set_wwwbeg = true_set
									   and i_set_wwwend = true_set
									   and abs(i_read_wwwend-i_read_wwwbeg) < 0.750
									   and true_read is NULL;

UPDATE septum_currents SET true_read = i_read_mssbeg WHERE true_set = i_set_mssbeg and true_read is NULL;
UPDATE septum_currents SET true_read = i_read_wwwbeg WHERE true_set = i_set_wwwbeg and true_read is NULL;
UPDATE septum_currents SET true_read = i_read_mssend WHERE true_set = i_set_mssend and true_read is NULL;
UPDATE septum_currents SET true_read = i_read_wwwend WHERE true_set = i_set_wwwend and true_read is NULL;

UPDATE septum_currents SET true_read = i_read_mssbeg/i_set_mssbeg*true_set WHERE run = 3343;
UPDATE septum_currents SET true_read = i_read_mssbeg/i_set_mssbeg*true_set WHERE run = 3344;
UPDATE septum_currents SET true_read = i_read_mssbeg/i_set_mssbeg*true_set WHERE run = 3671;

UPDATE septum_currents SET true_set = 355.15 WHERE run = 3343;
UPDATE septum_currents SET true_set = 352.15 WHERE run = 3344;
UPDATE septum_currents SET true_set = 394.30 WHERE run = 3671;
