drop table if exists test_refcell_empty;
drop table if exists test_refcell_empty_pressure;
drop table if exists refcell_pressures;
create table test_refcell_empty
select 
	refrtd.run as run_num, 
	refrtd.run-min(refrtd.run-summary.run) as close_run 
from 	
	summary , refrtd 
where 
	target1 = "refcell" 
	and target2 = "empty" 
	and flag > 1 
	and summary.run <= refrtd.run 
group by 
	refrtd.run;

create table test_refcell_empty_pressure
select 	*
from 	refrtd , test_refcell_empty
where	close_run = refrtd.run;

create table refcell_pressures
select 
	summary.run,
	target1,
	target2,
	taraux1+14.696 as taraux1,
	taraux2+14.696 as taraux2,
	refcell_press,
	refcell_press_sigma,
	refcell_vac,
	refcell_vac_sigma	
from
	refrtd,summary
where	
	target1 = "refcell"
	and flag > 1.0
	and refrtd.run = summary.run;

UPDATE refcell_pressures , test_refcell_empty_pressure SET refcell_pressures.refcell_press = refcell_pressures.refcell_press - test_refcell_empty_pressure.refcell_press WHERE refcell_pressures.run = test_refcell_empty_pressure.run_num;
UPDATE refcell_pressures , test_refcell_empty_pressure SET refcell_pressures.refcell_vac = refcell_pressures.refcell_vac - test_refcell_empty_pressure.refcell_vac WHERE refcell_pressures.run = test_refcell_empty_pressure.run_num;
