##### data from all the bleedthrough measurements and machine updates from the ELOG #####
CREATE TABLE elog_data
 (
	log_time DATETIME,
	state_a VARCHAR(20),
	state_b VARCHAR(20),
	state_c VARCHAR(20),
	num_pass_a TINYINT UNSIGNED,
	num_pass_b TINYINT UNSIGNED,
	num_pass_c TINYINT UNSIGNED,
	energy_set_a SMALLINT UNSIGNED,
	energy_set_b SMALLINT UNSIGNED,
	energy_set_c SMALLINT UNSIGNED,
	current_a DOUBLE(10,5),
	current_b DOUBLE(10,5),
	current_c DOUBLE(10,5),
	attenuator_a DOUBLE(8,2),
	attenuator_b DOUBLE(8,2),
	attenuator_c DOUBLE(8,2),
	laser_phase_a DOUBLE(8,2),
	laser_phase_b DOUBLE(8,2),
	laser_phase_c DOUBLE(8,2),
	slit_pos_a DOUBLE(7,2),
	slit_pos_b DOUBLE(7,2),
	slit_pos_c DOUBLE(7,2),
	pos_ffb_a VARCHAR(4),
	pos_ffb_b VARCHAR(4),
	pos_ffb_c VARCHAR(4),
	energy_ffb_a VARCHAR(4),
	energy_ffb_b VARCHAR(4),
	energy_ffb_c VARCHAR(4),
	spin_num_full_rev_gun2target_a TINYINT UNSIGNED,
	spin_num_full_rev_gun2target_b TINYINT UNSIGNED,
	spin_num_full_rev_gun2target_c TINYINT UNSIGNED,
	spin_angle_at_target_a DOUBLE(10,4),
	spin_angle_at_target_b DOUBLE(10,4),
	spin_angle_at_target_c DOUBLE(10,4),
	spin_opt_wien_angle_a DOUBLE(10,5),
	spin_opt_wien_angle_b DOUBLE(10,5),
	spin_opt_wien_angle_c DOUBLE(10,5),
	wien_angle_set DOUBLE(10,5),
	bhwp VARCHAR(4),
	source VARCHAR(6),
	INDEX (log_time)
 );
LOAD DATA LOCAL INFILE '../bleed/all_elog_data.txt' INTO TABLE elog_data;
# changing a negative value of slit position to -1.0
UPDATE elog_data SET slit_pos_a = -1.0 WHERE slit_pos_a < 0.0;
