drop table if exists first_slit;
create table first_slit
 (
        log_time DATETIME,
        slit_pos_a DOUBLE(7,2),
        INDEX (log_time)
 );
LOAD DATA LOCAL INFILE '../bleed/first_period_slit_a.txt' INTO TABLE first_slit;

drop table if exists test_slit;
drop table if exists test_slit_2;
drop table if exists test_slit_3;
drop table if exists test_slit_4;
create table test_slit select run , from_unixtime(start_time-min(start_time-unix_timestamp(log_time))) as logcalc, from_unixtime(start_time) , from_unixtime(end_time) from summary , elog_data where (flag > 1) and (unix_timestamp(log_time) <= start_time) and slit_pos_a is not null group by run order by run;
create table test_slit_2 select * from test_slit , elog_data where logcalc = log_time;
create table test_slit_3 select run , from_unixtime(start_time-min(start_time-unix_timestamp(log_time))) as logcalc, from_unixtime(start_time) , from_unixtime(end_time) from summary , first_slit where (flag > 1) and (unix_timestamp(log_time) <= start_time) and slit_pos_a is not null group by run order by run;
create table test_slit_4 select * from test_slit_3 , first_slit where logcalc = log_time;

drop table if exists bleedcorr;
create table bleedcorr 
select 
	run , 
	a_beam_curr as i_ac, 
	c_beam_curr as i_c, 
	c_beam_curr as slit_a,
	c_beam_curr as bleedthrough,
	c_beam_curr as pol_a,
	c_beam_curr as pol_c,
	c_beam_curr as pol_ac
from
	summary;
ALTER TABLE bleedcorr ADD PRIMARY KEY (run);

UPDATE bleedcorr SET slit_a = NULL;
UPDATE bleedcorr SET bleedthrough = NULL;
UPDATE bleedcorr SET pol_a = NULL;
UPDATE bleedcorr SET pol_c = NULL;
UPDATE bleedcorr SET pol_ac = NULL;

UPDATE summary,test_slit_2 SET c_beam_curr = current_c WHERE summary.run = test_slit_2.run and current_c is not NULL and c_beam_curr is NULL;
UPDATE bleedcorr,test_slit_2 SET i_c = current_c WHERE bleedcorr.run = test_slit_2.run and current_c is not NULL and i_c is NULL;
UPDATE bleedcorr,test_slit_2 SET slit_a = slit_pos_a WHERE bleedcorr.run = test_slit_2.run and slit_pos_a is not NULL;
UPDATE bleedcorr,test_slit_4 SET slit_a = slit_pos_a WHERE bleedcorr.run = test_slit_4.run and slit_pos_a is not NULL;
UPDATE bleedcorr,kbeam SET slit_a = slit_pos_a WHERE bleedcorr.run = kbeam.run and slit_pos_a is not NULL;
UPDATE bleedcorr,summary SET bleedthrough = 0.0 WHERE bleedcorr.run = summary.run and flag > 1.0;
UPDATE bleedcorr,summary SET bleedthrough = -0.1885+0.4310*i_c/i_ac WHERE period = 2 and summary.run = bleedcorr.run and summary.run < 3262  and slit_a < -0.9;
UPDATE bleedcorr,summary SET bleedthrough = +0.0125+0.1902*i_c/i_ac WHERE period = 2 and summary.run = bleedcorr.run and summary.run > 3262  and slit_a < -0.9;
UPDATE bleedcorr,summary SET bleedthrough = (-0.1885+0.4310*i_c/i_ac)/2.0 WHERE period = 1 and slit_a < -0.9;
UPDATE bleedcorr,summary SET bleedthrough = bleedthrough+(+0.0125+0.1902*i_c/i_ac)/2.0 WHERE period = 1 and slit_a < -0.9;
UPDATE bleedcorr,summary SET bleedthrough = -0.01776+10.53e-5*i_c/i_ac*slit_a*slit_a WHERE period = 2 and summary.run = bleedcorr.run and summary.run < 3262 and slit_a > 0.0;
UPDATE bleedcorr,summary SET bleedthrough = -0.01776+8.962e-5*i_c/i_ac*slit_a*slit_a WHERE period = 2 and summary.run = bleedcorr.run and summary.run > 3262 and slit_a > 0.0;
UPDATE bleedcorr,summary SET bleedthrough = (-0.01776+10.53e-5*i_c/i_ac*slit_a*slit_a)/2.0 WHERE period = 1 and slit_a > 0.0;
UPDATE bleedcorr,summary SET bleedthrough = bleedthrough+(-0.01776+8.962e-5*i_c/i_ac*slit_a*slit_a)/2.0 WHERE period = 1 and slit_a > 0.0;
#UPDATE bleedcorr SET bleedthrough = 0.0 WHERE bleedthrough < 0.0;

UPDATE bleedcorr,beampol SET pol_a = moller_a WHERE bleedcorr.run = beampol.run;
UPDATE bleedcorr,beampol SET pol_c = moller_c WHERE bleedcorr.run = beampol.run;
UPDATE bleedcorr SET pol_ac = pol_a-bleedthrough*(pol_a-pol_c)/100;

UPDATE summary,bleedcorr SET polbeam = pol_ac WHERE summary.run = bleedcorr.run and pol_ac is not null;

drop table if exists test_slit;
drop table if exists test_slit_2;
drop table if exists test_slit_3;
drop table if exists test_slit_4;
