drop table if exists all_ref_cell;
drop table if exists close_refcell_empty;
drop table if exists close_refcell_n2;
##### this table collects all the refcell runs #####
create table all_ref_cell
select 
	run       , 
	target1   ,
	target2   , 
	period    , 
	nom_angle ,
	nom_ebeam ,
	nom_pmom  ,
	flag	  ,
	target_collimators
from 	
	summary 
where 
	target1  = "refcell";

##### this table pairs production runs with their corresponding empty refcell run(s) #####
create table close_refcell_empty
select 
	summary.runtype   ,
	summary.run       ,
	all_ref_cell.run       as empty_run   ,
	summary.nom_ebeam ,
	all_ref_cell.nom_ebeam as empty_ebeam ,
	summary.nom_pmom  ,
	all_ref_cell.nom_pmom  as empty_pmom  , 
	summary.flag      ,
	all_ref_cell.flag      as empty_flag  ,
	summary.target1   ,
	summary.target2
from 	
	summary , all_ref_cell
where 
	all_ref_cell.target2   = "empty"           and
	all_ref_cell.period    = summary.period    and
	all_ref_cell.nom_angle = summary.nom_angle and
	all_ref_cell.nom_ebeam = summary.nom_ebeam and
	all_ref_cell.nom_pmom  = summary.nom_pmom  and
	all_ref_cell.flag      > 1                 and
	all_ref_cell.target_collimators = "IN"     and
	(runtype = "acc" or runtype = "ela" or runtype = "pc" or runtype ="pro")
group by 
	summary.run
order by
	summary.run , empty_run;

##### this table pairs production runs with their corresponding n2 refcell run(s) #####
create table close_refcell_n2
select 
	summary.runtype   ,
	summary.run       ,
	all_ref_cell.run       as n2_run   ,
	summary.nom_ebeam ,
	all_ref_cell.nom_ebeam as n2_ebeam ,
	summary.nom_pmom  ,
	all_ref_cell.nom_pmom  as n2_pmom  , 
	summary.flag      ,
	all_ref_cell.flag      as n2_flag  ,
	summary.target1   ,
	summary.target2
from 	
	summary , all_ref_cell
where 
	all_ref_cell.target2   = "n2"              and
	all_ref_cell.period    = summary.period    and
	all_ref_cell.nom_angle = summary.nom_angle and
	all_ref_cell.nom_ebeam = summary.nom_ebeam and
	all_ref_cell.nom_pmom  = summary.nom_pmom  and
	all_ref_cell.flag      > 1                 and
	all_ref_cell.target_collimators = "IN"     and
	(runtype = "acc" or runtype = "ela" or runtype = "pc" or runtype ="pro")
group by 
	summary.run
order by
	summary.run , empty_run;
