# supplying ps factors for runs that missed it
UPDATE summary,mssend SET summary.ps1 = mssend.ps1  WHERE (run = krun) and (summary.ps1 is NULL);
UPDATE summary,mssend SET summary.ps2 = mssend.ps2  WHERE (run = krun) and (summary.ps2 is NULL);
UPDATE summary,mssend SET summary.ps3 = mssend.ps3  WHERE (run = krun) and (summary.ps3 is NULL);
UPDATE summary,mssend SET summary.ps4 = mssend.ps4  WHERE (run = krun) and (summary.ps4 is NULL);
UPDATE summary,mssend SET summary.ps5 = mssend.ps5  WHERE (run = krun) and (summary.ps5 is NULL);
UPDATE summary,mssend SET summary.ps6 = mssend.ps6  WHERE (run = krun) and (summary.ps6 is NULL);
UPDATE summary,mssend SET summary.ps7 = mssend.ps7  WHERE (run = krun) and (summary.ps7 is NULL);
UPDATE summary,mssend SET summary.ps8 = mssend.ps8  WHERE (run = krun) and (summary.ps8 is NULL);

UPDATE summary,mssbeg SET summary.ps1 = mssbeg.ps1  WHERE (run = krun) and (summary.ps1 is NULL);
UPDATE summary,mssbeg SET summary.ps2 = mssbeg.ps2  WHERE (run = krun) and (summary.ps2 is NULL);
UPDATE summary,mssbeg SET summary.ps3 = mssbeg.ps3  WHERE (run = krun) and (summary.ps3 is NULL);
UPDATE summary,mssbeg SET summary.ps4 = mssbeg.ps4  WHERE (run = krun) and (summary.ps4 is NULL);
UPDATE summary,mssbeg SET summary.ps5 = mssbeg.ps5  WHERE (run = krun) and (summary.ps5 is NULL);
UPDATE summary,mssbeg SET summary.ps6 = mssbeg.ps6  WHERE (run = krun) and (summary.ps6 is NULL);
UPDATE summary,mssbeg SET summary.ps7 = mssbeg.ps7  WHERE (run = krun) and (summary.ps7 is NULL);
UPDATE summary,mssbeg SET summary.ps8 = mssbeg.ps8  WHERE (run = krun) and (summary.ps8 is NULL);

# specufying prescale factors for runs with nonstandard and possibly problematic ps strings
UPDATE summary SET ps1 = 8     WHERE run = 2002;
UPDATE summary SET ps2 = 14    WHERE run = 2002;
UPDATE summary SET ps3 = 9999  WHERE run = 2002;
UPDATE summary SET ps4 = 9999  WHERE run = 2002;
UPDATE summary SET ps5 = 65535 WHERE run = 2002;
UPDATE summary SET ps6 = 65535 WHERE run = 2002;
UPDATE summary SET ps7 = 65535 WHERE run = 2002;
UPDATE summary SET ps8 = 65535 WHERE run = 2002;
UPDATE summary SET comments = concat_ws(" ; " , "fractional ps1?" , comments) where (flag > 1) and (run = 2002);
UPDATE summary SET flag = 2 where (flag = 3) and (run = 2002);

UPDATE summary SET ps1 = 8     WHERE run = 2003;
UPDATE summary SET ps2 = 14    WHERE run = 2003;
UPDATE summary SET ps3 = 9999  WHERE run = 2003;
UPDATE summary SET ps4 = 9999  WHERE run = 2003;
UPDATE summary SET ps5 = 65535 WHERE run = 2003;
UPDATE summary SET ps6 = 65535 WHERE run = 2003;
UPDATE summary SET ps7 = 65535 WHERE run = 2003;
UPDATE summary SET ps8 = 65535 WHERE run = 2003;
UPDATE summary SET comments = concat_ws(" ; " , "fractional ps1?" , comments) where (flag > 1) and (run = 2003);
UPDATE summary SET flag = 2 where (flag = 3) and (run = 2003);

UPDATE summary SET ps2 = 16777216 WHERE run = 2727;
UPDATE summary SET ps7 = 8 	  WHERE run = 2727;
UPDATE summary SET comments = concat_ws(" ; " , "no ps2?" , comments) where (flag > 1) and (run = 2727);
UPDATE summary SET flag = 2 where (flag = 3) and (run = 2727);

UPDATE summary SET ps1 = 1     WHERE run = 2434;
UPDATE summary SET ps2 = 1     WHERE run = 2434;
UPDATE summary SET ps3 = 9999  WHERE run = 2434;
UPDATE summary SET ps4 = 9999  WHERE run = 2434;
UPDATE summary SET ps5 = 65535 WHERE run = 2434;
UPDATE summary SET ps6 = 65535 WHERE run = 2434;
UPDATE summary SET ps7 = 65535 WHERE run = 2434;
UPDATE summary SET ps8 = 65535 WHERE run = 2434;
UPDATE summary SET comments = concat_ws(" ; " , "extra spaces in prescale string?" , comments) where (flag > 1) and (run = 2434);
UPDATE summary SET flag = 2 where (flag = 3) and (run = 2434);

UPDATE summary SET ps1 = 5     WHERE run = 2435;
UPDATE summary SET ps2 = 1     WHERE run = 2435;
UPDATE summary SET ps3 = 9999  WHERE run = 2435;
UPDATE summary SET ps4 = 9999  WHERE run = 2435;
UPDATE summary SET ps5 = 65535 WHERE run = 2435;
UPDATE summary SET ps6 = 65535 WHERE run = 2435;
UPDATE summary SET ps7 = 65535 WHERE run = 2435;
UPDATE summary SET ps8 = 65535 WHERE run = 2435;
UPDATE summary SET comments = concat_ws(" ; " , "extra spaces in prescale string?" , comments) where (flag > 1) and (run = 2435);
UPDATE summary SET flag = 2 where (flag = 3) and (run = 2435);

# if the run is a pedestal run, then making the number of files equal to 1
UPDATE summary SET num_file = 1 where runtype = "ped";

# fixing the central momentum and uncertainty by first removing a false zero reading
UPDATE summary,epics_data_stream SET pmom = pmom*HacR_D1_NMR_SIG_count/(HacR_D1_NMR_SIG_count-1) WHERE (summary.run = epics_data_stream.run) and ((summary.run = 2235) or (summary.run = 2094));
UPDATE summary SET pmom_sigma = 30*(pmom/1000000) WHERE ((run = 2235) or (run = 2094));
UPDATE summary SET comments = concat_ws(" ; " , "pmom fixed by hand due to one false zero reading" , comments) where (flag > 1) and ((run = 2235) or (run = 2094));

# getting the central momentum and uncertainty using the equation from the NIM paper
UPDATE summary SET pmom_sigma = pmom_sigma*(-1.6*3*pmom*pmom+2698);
UPDATE summary SET pmom = pmom*(-1.6*pmom*pmom+2698);
UPDATE summary SET comments = concat_ws(" ; " , "pmom_sigma is larger than 0.1 MeV" , comments) where (pmom_sigma > 0.1) and (flag > 1);
UPDATE summary SET flag = 2 where (pmom_sigma > 0.1) and (flag = 3);
ALTER TABLE summary MODIFY pmom DOUBLE(9,4);
ALTER TABLE summary MODIFY pmom_sigma DOUBLE(9,4);

# flagging runs where pmom drifted too much during the run
UPDATE summary SET flag = 1 WHERE run = 1860 and flag > 1;
UPDATE summary SET comments = concat_ws(" ; " , "spectrometer not stable during this run, it is drifting up the whole time" , comments) WHERE run = 1860;

UPDATE summary SET flag = 2 WHERE run = 4003 and flag > 1;
UPDATE summary SET comments = concat_ws(" ; " , "spectrometer setting was changed just before this run started, therefore first half of this run, the spec is drifting up, total change of +0.40%" , comments) WHERE run = 4003;

UPDATE summary SET flag = 2 WHERE run = 3671 and flag > 1;
UPDATE summary SET comments = concat_ws(" ; " , "spectrometer setting was changed just before this run ended, therefore for the last ~90 sec the spec is drifting down, total change of -0.22%" , comments) WHERE run = 3671;

UPDATE summary SET flag = 2 WHERE run = 1581 and flag > 1;
UPDATE summary SET comments = concat_ws(" ; " , "spectrometer setting was changed just before this run started, therefore first half of this run, the spec is drifting up, total change +0.50%" , comments) WHERE run = 1581;

UPDATE summary SET flag = 2 WHERE run = 1786 and flag > 1;
UPDATE summary SET comments = concat_ws(" ; " , "spectrometer setting was changed just before this run started, therefore for the first ~400 sec the spec is drifting up, total change +0.05%" , comments) WHERE run = 1786;

# setting the target spin angle based on HH coil currents
UPDATE summary SET tarang = NULL;
UPDATE summary,epics_data_stream SET tarang =   "0" WHERE (summary.run = epics_data_stream.run) AND (abs(pol3heLargeCoilCurrent_mean) < +0.5 ) AND     (pol3heSmallCoilCurrent_mean  < -6.5);
UPDATE summary,epics_data_stream SET tarang = "180" WHERE (summary.run = epics_data_stream.run) AND (abs(pol3heLargeCoilCurrent_mean) < +0.5 ) AND     (pol3heSmallCoilCurrent_mean  > +6.5);
UPDATE summary,epics_data_stream SET tarang = "270" WHERE (summary.run = epics_data_stream.run) AND     (pol3heLargeCoilCurrent_mean  < -6.5 ) AND (abs(pol3heSmallCoilCurrent_mean) < +0.5);

# setting the beam energy based on which beamm energy variable was not broken
UPDATE summary,epics_data_stream_wbpm SET       ebeam = halla_MeV_mean  WHERE (summary.run = epics_data_stream_wbpm.run) AND (summary.run < 1187);
UPDATE summary,epics_data_stream_wbpm SET ebeam_sigma = halla_MeV_sigma WHERE (summary.run = epics_data_stream_wbpm.run) AND (summary.run < 1187);
UPDATE summary,epics_data_stream_wbpm SET       ebeam = HALLA_p_mean    WHERE (summary.run = epics_data_stream_wbpm.run) AND (summary.run > 1735) AND (summary.run < 1924);
UPDATE summary,epics_data_stream_wbpm SET ebeam_sigma = HALLA_p_sigma   WHERE (summary.run = epics_data_stream_wbpm.run) AND (summary.run > 1735) AND (summary.run < 1924);
UPDATE summary,epics_data_stream_wbpm SET       ebeam = halla_MeV_mean  WHERE (summary.run = epics_data_stream_wbpm.run) AND (summary.run > 2188) AND (summary.run < 2260);
UPDATE summary,epics_data_stream_wbpm SET ebeam_sigma = halla_MeV_sigma WHERE (summary.run = epics_data_stream_wbpm.run) AND (summary.run > 2188) AND (summary.run < 2260);
UPDATE summary,epics_data_stream_wbpm SET       ebeam = HALLA_p_mean    WHERE (summary.run = epics_data_stream_wbpm.run) AND (summary.run > 2300) AND (summary.run < 2697);
UPDATE summary,epics_data_stream_wbpm SET ebeam_sigma = HALLA_p_sigma   WHERE (summary.run = epics_data_stream_wbpm.run) AND (summary.run > 2300) AND (summary.run < 2697);
UPDATE summary,epics_data_stream_wbpm SET       ebeam = HALLA_p_mean    WHERE (summary.run = epics_data_stream_wbpm.run) AND (summary.run > 2798) AND (summary.run < 3516);
UPDATE summary,epics_data_stream_wbpm SET ebeam_sigma = HALLA_p_sigma   WHERE (summary.run = epics_data_stream_wbpm.run) AND (summary.run > 2798) AND (summary.run < 3516);
UPDATE summary,epics_data_stream_wbpm SET       ebeam = halla_MeV_mean  WHERE (summary.run = epics_data_stream_wbpm.run) AND (summary.run > 3515);
UPDATE summary,epics_data_stream_wbpm SET ebeam_sigma = halla_MeV_sigma WHERE (summary.run = epics_data_stream_wbpm.run) AND (summary.run > 3515);
UPDATE summary SET nom_ebeam = ROUND(nom_ebeam/1000.0,3);
ALTER TABLE summary MODIFY ebeam DOUBLE(7,2);
ALTER TABLE summary MODIFY ebeam_sigma DOUBLE(7,2);

# fixing a few beam energies where the average was skewed by a few bad readings
UPDATE summary,epics_data_stream_wbcm SET ebeam = halla_MeV_mean WHERE (summary.run = epics_data_stream_wbcm.run) and (summary.run = 3850);
UPDATE summary,epics_data_stream_wbcm SET ebeam_sigma = halla_MeV_sigma WHERE (summary.run = epics_data_stream_wbcm.run) and (summary.run = 3850);

UPDATE summary,epics_data_stream_wbpm SET ebeam = (ebeam*halla_MeV_count-1147.38)/(halla_MeV_count-1) WHERE (summary.run = epics_data_stream_wbpm.run) and (summary.run = 3652);
UPDATE summary SET ebeam_sigma = ebeam*0.001 WHERE (run = 3652);

UPDATE summary,epics_data_stream_wbpm SET ebeam = (ebeam*HALLA_p_count-2016.56)/(HALLA_p_count-1) WHERE (summary.run = epics_data_stream_wbpm.run) and (summary.run = 2603);
UPDATE summary SET ebeam_sigma = ebeam*0.001 WHERE (run = 2603);

UPDATE summary,epics_data_stream_wbpm SET ebeam = (ebeam*HALLA_p_count-2*2826.62)/(HALLA_p_count-2) WHERE (summary.run = epics_data_stream_wbpm.run) and (summary.run = 3127);
UPDATE summary SET ebeam_sigma = ebeam*0.001 WHERE (run = 3127);

UPDATE summary SET comments = concat_ws(" ; " , "ebeam fixed by hand due to one or two false readings" , comments) where (flag > 1) and ((run = 3652) or (run = 2602) or (run = 3127));

UPDATE summary SET comments = concat_ws(" ; " , "ebeam_sigma is larger than 0.5 MeV AND 1000 ppm" , comments) where (flag > 1) and (ebeam_sigma > 0.5) and (1000000.0*ebeam_sigma/ebeam > 1000.0);
UPDATE summary SET flag = 2 where (flag = 3) and (ebeam_sigma > 0.5) and (1000000.0*ebeam_sigma/ebeam > 1000.0);

# calculating some central kinematic quantities that do not require the target mass
UPDATE summary SET nu = NULL;
UPDATE summary SET nu = (ebeam - pmom)/1000;
UPDATE summary SET q_2 = NULL;
UPDATE summary SET q_2 = 4*ebeam/1000*pmom/1000*sin(22*nom_angle/7/180/2)*sin(22*nom_angle/7/180/2);

# setting all masses to neutron mass to get W_neutron
UPDATE summary SET masstar = NULL;
UPDATE summary SET masstar_eff = NULL;
UPDATE summary,particle SET masstar = mass WHERE name = "neutron";
UPDATE summary SET W_neutron = NULL;
UPDATE summary SET W_neutron = sqrt(masstar*masstar/1000/1000 + 2*nu*masstar/1000 - q_2);

# setting all masses to the true target to get W and the position of the elastic peak
UPDATE summary SET masstar = NULL;
UPDATE summary,particle SET masstar = mass WHERE name = "helium3"  and unit = "nucleus" and target1="pol3he";
UPDATE summary,particle SET masstar = mass WHERE name = "helium3"  and unit = "nucleus" and target1="refcell" and target2="3he";
UPDATE summary,particle SET masstar = mass WHERE name = "nitrogen" and unit = "nucleus" and target1="refcell" and target2="n2";
UPDATE summary,particle SET masstar = mass WHERE name = "carbon"   and unit = "nucleus" and target1="carbon";
UPDATE summary,particle SET masstar = mass WHERE name = "helium"   and unit = "nucleus" and target1="none";
UPDATE summary SET masstar = 0.0 WHERE target1="refcell" and target2 = "empty";

UPDATE summary SET W_target = NULL;
UPDATE summary SET W_target = sqrt(masstar*masstar/1000/1000 + 2*nu*masstar/1000 - q_2);
UPDATE summary SET dp_ela_pos = NULL;
UPDATE summary SET dp_ela_pos = ebeam/pmom/(1+2*ebeam/masstar*sin(22*nom_angle/7/180/2)*sin(22*nom_angle/7/180/2))-1;
ALTER TABLE summary MODIFY nu DOUBLE(9,5);
ALTER TABLE summary MODIFY q_2 DOUBLE(9,5);
ALTER TABLE summary MODIFY W_neutron DOUBLE(9,5);
ALTER TABLE summary MODIFY W_target DOUBLE(9,5);
ALTER TABLE summary MODIFY dp_ela_pos DOUBLE(9,5);

# setting the effective mass of the target based on whether it is an elastic run or not
UPDATE summary,particle SET masstar_eff = mass WHERE name = "neutron";
UPDATE summary,particle SET masstar_eff = mass WHERE name = "helium3" and unit = "nucleus" and (nom_ebeam*1000.0/nom_pmom-1.0)*100.0 < 5.9 and (runtype = "ela" or runtype = "pc" or runtype = "acc");
UPDATE summary,particle SET masstar_eff = mass WHERE name = "carbon"  and unit = "nucleus" and (nom_ebeam*1000.0/nom_pmom-1.0)*100.0 < 5.9 and ((runtype = "opt") or (target1 = "carbon"));

# setting beam current with cuts on beam trips
UPDATE summary,epics_data_stream_wbcm SET a_beam_curr     = hac_bcm_average_mean  WHERE (summary.run = epics_data_stream_wbcm.run);
UPDATE summary,epics_data_stream_wbcm SET a_beam_curr_sig = hac_bcm_average_sigma WHERE (summary.run = epics_data_stream_wbcm.run);
UPDATE summary,epics_data_stream_wbcm SET c_beam_curr     = HC_ibcm1_mean         WHERE (summary.run = epics_data_stream_wbcm.run);
UPDATE summary,epics_data_stream_wbcm SET c_beam_curr_sig = HC_ibcm1_sigma        WHERE (summary.run = epics_data_stream_wbcm.run);
ALTER TABLE summary MODIFY a_beam_curr DOUBLE(9,4);
ALTER TABLE summary MODIFY a_beam_curr_sig DOUBLE(9,4);
ALTER TABLE summary MODIFY c_beam_curr DOUBLE(9,4);
ALTER TABLE summary MODIFY c_beam_curr_sig DOUBLE(9,4);

# setting beam position with cuts on beam trips
UPDATE summary,epics_data_stream_wbpm SET bpm_ax     = IPM1H04A_XPOS_mean  WHERE (summary.run = epics_data_stream_wbpm.run);
UPDATE summary,epics_data_stream_wbpm SET bpm_ax_sig = IPM1H04A_XPOS_sigma WHERE (summary.run = epics_data_stream_wbpm.run);
UPDATE summary,epics_data_stream_wbpm SET bpm_ay     = IPM1H04A_YPOS_mean  WHERE (summary.run = epics_data_stream_wbpm.run);
UPDATE summary,epics_data_stream_wbpm SET bpm_ay_sig = IPM1H04A_YPOS_sigma WHERE (summary.run = epics_data_stream_wbpm.run);
UPDATE summary,epics_data_stream_wbpm SET bpm_bx     = IPM1H04B_XPOS_mean  WHERE (summary.run = epics_data_stream_wbpm.run);
UPDATE summary,epics_data_stream_wbpm SET bpm_bx_sig = IPM1H04B_XPOS_sigma WHERE (summary.run = epics_data_stream_wbpm.run);
UPDATE summary,epics_data_stream_wbpm SET bpm_by     = IPM1H04B_YPOS_mean  WHERE (summary.run = epics_data_stream_wbpm.run);
UPDATE summary,epics_data_stream_wbpm SET bpm_by_sig = IPM1H04B_YPOS_sigma WHERE (summary.run = epics_data_stream_wbpm.run);
UPDATE summary SET bpm_tarx = NULL;
UPDATE summary SET bpm_tary = NULL;
UPDATE summary SET bpm_tarx = 0.206156*bpm_ax + 0.793844*bpm_bx;
UPDATE summary SET bpm_tary = 0.206156*bpm_ay + 0.793844*bpm_by;
ALTER TABLE summary MODIFY bpm_ax DOUBLE(9,5);
ALTER TABLE summary MODIFY bpm_ax_sig DOUBLE(9,5);
ALTER TABLE summary MODIFY bpm_bx DOUBLE(9,5);
ALTER TABLE summary MODIFY bpm_bx_sig DOUBLE(9,5);
ALTER TABLE summary MODIFY bpm_ay DOUBLE(9,5);
ALTER TABLE summary MODIFY bpm_ay_sig DOUBLE(9,5);
ALTER TABLE summary MODIFY bpm_by DOUBLE(9,5);
ALTER TABLE summary MODIFY bpm_by_sig DOUBLE(9,5);
ALTER TABLE summary MODIFY bpm_tarx DOUBLE(9,5);
ALTER TABLE summary MODIFY bpm_tary DOUBLE(9,5);

# flagging runs with flaky beam position
UPDATE summary SET comments = concat_ws(" ; " , "bpm_ax_sig > 0.250 mm" , comments) where (flag > 1) and (bpm_ax_sig > 0.250);
UPDATE summary SET flag = 2 where (flag = 3) and (bpm_ax_sig > 0.250);
UPDATE summary SET comments = concat_ws(" ; " , "bpm_ay_sig > 0.250 mm" , comments) where (flag > 1) and (bpm_ay_sig > 0.250);
UPDATE summary SET flag = 2 where (flag = 3) and (bpm_ay_sig > 0.250);
UPDATE summary SET comments = concat_ws(" ; " , "bpm_bx_sig > 0.250 mm" , comments) where (flag > 1) and (bpm_bx_sig > 0.250);
UPDATE summary SET flag = 2 where (flag = 3) and (bpm_bx_sig > 0.250);
UPDATE summary SET comments = concat_ws(" ; " , "bpm_by_sig > 0.250 mm" , comments) where (flag > 1) and (bpm_by_sig > 0.250);
UPDATE summary SET flag = 2 where (flag = 3) and (bpm_by_sig > 0.250);

# flagging runs with problems with refcell pressure, not recorded, not fully evacuated or filled during data taking
UPDATE summary SET comments = concat_ws(" ; " , "no pressures manually recorded anywhere!" , comments) where (flag > 1) and (run = 2057);
UPDATE summary SET flag = 2 where (flag = 3) and (run = 2057);
UPDATE summary SET comments = concat_ws(" ; " , "no pressures manually recorded anywhere!" , comments) where (flag > 1) and (run = 3632);
UPDATE summary SET flag = 2 where (flag = 3) and (run = 3632);
UPDATE summary SET comments = concat_ws(" ; " , "some problems with the pressures for this run!" , comments) where (flag > 1) and (run = 3576);
UPDATE summary SET flag = 2 where (flag = 3) and (run = 3576);
UPDATE summary SET comments = concat_ws(" ; " , "some problems with the pressures for this run!" , comments) where (flag > 1) and (run = 3583);
UPDATE summary SET flag = 2 where (flag = 3) and (run = 3583);
UPDATE summary SET comments = concat_ws(" ; " , "some problems with the pressures for this run!" , comments) where (flag > 1) and (run = 3590);
UPDATE summary SET flag = 2 where (flag = 3) and (run = 3590);

# settings start/end times with times from epics data stream
UPDATE summary,times_eds SET summary.start_time = unix_timestamp(times_eds.start_time) WHERE summary.run = times_eds.run;
UPDATE summary,times_eds SET summary.end_time = unix_timestamp(times_eds.end_time) WHERE summary.run = times_eds.run;

# some ROC error pointed out by Tim Holmstrom on 06/09/06
UPDATE summary SET comments = concat_ws(" ; " , "mysterious ROC 100 errors during the scalar replay" , comments) where (flag > 1) and (run = 3382);
UPDATE summary SET flag = 2 where (flag = 3) and (run = 3382);

# some run with few events, pointed out by Vince in 06/06
UPDATE summary SET comments = concat_ws(" ; " , "VS says ps too high, not enough events" , comments) where (flag > 1) and (run = 2754);
UPDATE summary SET flag = 0 where (run = 2754);

# removed one false reading in hall c current
UPDATE summary SET c_beam_curr = 40.4 where (run = 2839);
UPDATE summary SET comments = concat_ws(" ; " , "had to fix hall C current by hand" , comments) where (run = 2839);

# flagging runs with problems with refcell pressure, not recorded, not fully evacuated or filled during data taking
UPDATE summary SET comments = concat_ws(" ; " , "refcell was being filled during the last 2 min of this run, so it is not really empty for the whole run" , comments) where (run = 3524);
UPDATE summary SET flag = 2 where (run = 3524) and flag > 1;

# script to do bleedthrough corrections on beam polarization
# takes about 5-6 min
SOURCE make_bleedcorr.sql;

# setting up some default values of target density and polarizations
UPDATE summary SET poltar = NULL;
UPDATE summary SET poltar = 0.40;
UPDATE summary SET dentar = NULL;
UPDATE summary SET dentar = 10.0 WHERE target1 = "pol3he";

# script to calculate refcell densities in amg
#takes about 75 seconds
SOURCE make_refcell_pressures.sql;

# setting vdc and pid config flags needed for DB files for analyzer
UPDATE summary SET vdc_flag = NULL;
UPDATE summary SET vdc_flag = "first"        WHERE period = 1;
UPDATE summary SET vdc_flag = "low_momenta"  WHERE period = 2 and nom_angle = 6 and pmom >=  872.0 and pmom < 1600.0;
UPDATE summary SET vdc_flag = "mid_momenta"  WHERE period = 2 and nom_angle = 6 and pmom >= 1600.0 and pmom < 2489.0;
UPDATE summary SET vdc_flag = "high_momenta" WHERE period = 2 and nom_angle = 6 and pmom >= 2489.0 and pmom < 3400.0;
UPDATE summary SET vdc_flag = "low_momenta"  WHERE period = 2 and nom_angle = 9 and pmom >=  428.0 and pmom < 1691.0;
UPDATE summary SET vdc_flag = "mid_momenta"  WHERE period = 2 and nom_angle = 9 and pmom >= 1691.0 and pmom < 2686.0;
UPDATE summary SET vdc_flag = "high_momenta" WHERE period = 2 and nom_angle = 9 and pmom >= 2686.0 and pmom < 3400.0;

UPDATE summary SET pid_flag = NULL;
UPDATE summary SET pid_flag = "2670fx"  WHERE period = 2 and nom_angle = 6 and nom_ebeam = "2.134";
UPDATE summary SET pid_flag = "2670fx"  WHERE period = 2 and nom_angle = 6 and nom_ebeam = "1.096";
UPDATE summary SET pid_flag = "2840"    WHERE period = 2 and nom_angle = 6 and nom_ebeam = "4.209";
UPDATE summary SET pid_flag = "2965"    WHERE period = 2 and nom_angle = 6 and nom_ebeam = "2.135";
UPDATE summary SET pid_flag = "3230"    WHERE period = 2 and nom_angle = 6 and nom_ebeam = "2.845";
UPDATE summary SET pid_flag = "3590"    WHERE period = 2 and nom_angle = 9 and nom_ebeam = "3.775";
UPDATE summary SET pid_flag = "3590"    WHERE period = 2 and nom_angle = 9 and nom_ebeam = "1.147";
UPDATE summary SET pid_flag = "3771"    WHERE period = 2 and nom_angle = 9 and nom_ebeam = "2.234";
UPDATE summary SET pid_flag = "3902"    WHERE period = 2 and nom_angle = 9 and nom_ebeam = "4.404";
UPDATE summary SET pid_flag = "4173"    WHERE period = 2 and nom_angle = 9 and nom_ebeam = "3.319";

#bad runs from Vince scaler replay 05/16/06
DROP TABLE IF EXISTS problem_temp;
CREATE TABLE problem_temp
 (
	run SMALLINT,
	new_comments VARCHAR(500),
	INDEX(run)
 );
LOAD DATA LOCAL INFILE '../scalar_info/problem_runs_from_vince_051606.txt' INTO TABLE problem_temp;
UPDATE summary , problem_temp SET comments = concat_ws(" ; " , new_comments , comments) WHERE summary.run = problem_temp.run;
UPDATE summary , problem_temp SET flag = 2 WHERE summary.run = problem_temp.run and flag > 1;
UPDATE summary SET comments = concat_ws(" ; " , "JUNK - problems and short run" , comments) WHERE run = 2727 and flag > 1;
UPDATE summary SET flag = 0 WHERE run = 2727;
UPDATE summary SET comments = concat_ws(" ; " , "JUNK - problems and run 3048 essentially replaces this one" , comments) WHERE run = 3047 and flag > 1;
UPDATE summary SET flag = 0 WHERE run = 3047;
DROP TABLE IF EXISTS problem_temp;

#bad runs from Tim/Vince scaler replay 06/27/06
UPDATE summary SET comments = concat_ws(" ; " , "JUNK - scaler replay by Tim on 06/27/06 failed, junking b/c it is less than 7% of stat" , comments) WHERE run = 2574;
UPDATE summary SET flag = 0 WHERE run = 2574 AND flag > 1;
UPDATE summary SET comments = concat_ws(" ; " , "JUNK - scaler replay by Tim on 06/27/06 failed, junking b/c it is less than 7% of stat" , comments) WHERE run = 2975;
UPDATE summary SET flag = 0 WHERE run = 2975 AND flag > 1;
UPDATE summary SET comments = concat_ws(" ; " , "JUNK - scaler replay by Tim on 06/27/06 failed, junking b/c it is less than 7% of stat" , comments) WHERE run = 3104;
UPDATE summary SET flag = 0 WHERE run = 3104 AND flag > 1;

#loading scaler_info
SOURCE load_scaler_info.sql;

# clearing placeholders
UPDATE summary SET bcm3_pos = NULL;
UPDATE summary SET bcm3_neg = NULL;
UPDATE summary SET bcm3_non = NULL;
UPDATE summary SET bcm10_pos = NULL;
UPDATE summary SET bcm10_neg = NULL;
UPDATE summary SET bcm10_non = NULL;
UPDATE summary SET t1_accept_pos = NULL;
UPDATE summary SET t1_accept_neg = NULL;
UPDATE summary SET t1_accept_non = NULL;
UPDATE summary SET t2_accept_pos = NULL;
UPDATE summary SET t2_accept_neg = NULL;
UPDATE summary SET t2_accept_non = NULL;
UPDATE summary SET t1_livetime_pos = NULL;
UPDATE summary SET t1_livetime_neg = NULL;
UPDATE summary SET t1_livetime_non = NULL;
UPDATE summary SET t2_livetime_pos = NULL;
UPDATE summary SET t2_livetime_neg = NULL;
UPDATE summary SET t2_livetime_non = NULL;

# adjusting column type to the proper type
ALTER TABLE summary MODIFY bcm3_pos DOUBLE(12,7);
ALTER TABLE summary MODIFY bcm3_neg DOUBLE(12,7);
ALTER TABLE summary MODIFY bcm3_non DOUBLE(12,7);
ALTER TABLE summary MODIFY bcm10_pos DOUBLE(12,7);
ALTER TABLE summary MODIFY bcm10_neg DOUBLE(12,7);
ALTER TABLE summary MODIFY bcm10_non DOUBLE(12,7);
ALTER TABLE summary MODIFY t1_accept_pos INT;
ALTER TABLE summary MODIFY t1_accept_neg INT;
ALTER TABLE summary MODIFY t1_accept_non INT;
ALTER TABLE summary MODIFY t2_accept_pos INT;
ALTER TABLE summary MODIFY t2_accept_neg INT;
ALTER TABLE summary MODIFY t2_accept_non INT;
ALTER TABLE summary MODIFY t1_livetime_pos DOUBLE(13,10);
ALTER TABLE summary MODIFY t1_livetime_neg DOUBLE(13,10);
ALTER TABLE summary MODIFY t1_livetime_non DOUBLE(13,10);
ALTER TABLE summary MODIFY t2_livetime_pos DOUBLE(13,10);
ALTER TABLE summary MODIFY t2_livetime_neg DOUBLE(13,10);
ALTER TABLE summary MODIFY t2_livetime_non DOUBLE(13,10);

# filling summary columns with the appropriate values from the scaler_info by helicity
UPDATE summary , scaler_info SET bcm3_pos = bcm3 WHERE helicity = +1 and summary.run = scaler_info.run;
UPDATE summary , scaler_info SET bcm3_neg = bcm3 WHERE helicity = -1 and summary.run = scaler_info.run;
UPDATE summary , scaler_info SET bcm3_non = bcm3 WHERE helicity =  0 and summary.run = scaler_info.run;
UPDATE summary , scaler_info SET bcm10_pos = bcm10 WHERE helicity = +1 and summary.run = scaler_info.run;
UPDATE summary , scaler_info SET bcm10_neg = bcm10 WHERE helicity = -1 and summary.run = scaler_info.run;
UPDATE summary , scaler_info SET bcm10_non = bcm10 WHERE helicity =  0 and summary.run = scaler_info.run;
UPDATE summary , scaler_info SET t1_accept_pos = t1_accept WHERE helicity = +1 and summary.run = scaler_info.run;
UPDATE summary , scaler_info SET t1_accept_neg = t1_accept WHERE helicity = -1 and summary.run = scaler_info.run;
UPDATE summary , scaler_info SET t1_accept_non = t1_accept WHERE helicity =  0 and summary.run = scaler_info.run;
UPDATE summary , scaler_info SET t2_accept_pos = t2_accept WHERE helicity = +1 and summary.run = scaler_info.run;
UPDATE summary , scaler_info SET t2_accept_neg = t2_accept WHERE helicity = -1 and summary.run = scaler_info.run;
UPDATE summary , scaler_info SET t2_accept_non = t2_accept WHERE helicity =  0 and summary.run = scaler_info.run;
UPDATE summary , scaler_info SET t1_livetime_pos = t1_livetime WHERE helicity = +1 and summary.run = scaler_info.run;
UPDATE summary , scaler_info SET t1_livetime_neg = t1_livetime WHERE helicity = -1 and summary.run = scaler_info.run;
UPDATE summary , scaler_info SET t1_livetime_non = t1_livetime WHERE helicity =  0 and summary.run = scaler_info.run;
UPDATE summary , scaler_info SET t2_livetime_pos = t2_livetime WHERE helicity = +1 and summary.run = scaler_info.run;
UPDATE summary , scaler_info SET t2_livetime_neg = t2_livetime WHERE helicity = -1 and summary.run = scaler_info.run;
UPDATE summary , scaler_info SET t2_livetime_non = t2_livetime WHERE helicity =  0 and summary.run = scaler_info.run;

# loading beam trip info
SOURCE load_eds_run_time_wbc.sql;
UPDATE summary , beam_trip_info SET comments = concat_ws(" ; " , "possibly very beam trippy run or long periods of no beam, at most 70 pct of run survives after -6/+30 bcm cut" , comments) WHERE summary.run = beam_trip_info.run and flag > 1 and rel_on_time < 0.70;
UPDATE summary , beam_trip_info SET flag = 2 WHERE summary.run = beam_trip_info.run and flag > 1 and rel_on_time < 0.70;

# septum read/set currents
UPDATE summary SET comments = concat_ws(" ; " , "epics data stream info is corrupted for this run" , comments) WHERE run = 1309;
UPDATE summary SET flag = 2 WHERE run = 1309 and flag > 1;
UPDATE summary SET comments = concat_ws(" ; " , "septum set current changed by 3A during the last minute of this run" , comments) WHERE run = 3343;
UPDATE summary SET flag = 2 WHERE run = 3343 and flag > 1;
UPDATE summary SET comments = concat_ws(" ; " , "septum set current changed by 2A during the last two minutes of this run" , comments) WHERE run = 3344;
UPDATE summary SET flag = 2 WHERE run = 3344 and flag > 1;
UPDATE summary SET comments = concat_ws(" ; " , "septum set current changed by 4A during the last minute of this run" , comments) WHERE run = 3671;
UPDATE summary SET flag = 2 WHERE run = 3671 and flag > 1;

SOURCE check_septum_current.sql

UPDATE summary,septum_currents SET septum     = true_read where summary.run = septum_currents.run;
UPDATE summary,septum_currents SET septum_set = true_set  where summary.run = septum_currents.run;

# filling the status of the sieve slit and target collimators
UPDATE summary SET sieve_slit         = NULL;
UPDATE summary,byhand_aux SET summary.sieve_slit = byhand_aux.sieve_slit WHERE summary.run = byhand_aux.run;
UPDATE summary SET summary.sieve_slit = "none" WHERE runtype != "opt";
UPDATE summary SET target_collimators         = NULL;
UPDATE summary,byhand_aux SET summary.target_collimators = byhand_aux.target_collimators WHERE summary.run = byhand_aux.run;
UPDATE summary SET summary.target_collimators = "OUT" WHERE runtype = "opt";
UPDATE summary SET summary.target_collimators = "IN"  WHERE runtype = "pro";
UPDATE summary SET summary.target_collimators = "IN"  WHERE runtype = "ela";
UPDATE summary SET summary.target_collimators = "IN"  WHERE runtype = "pc";

# getting the signs of the target and beam polarization
UPDATE summary SET polbeam_sign = NULL;
UPDATE summary SET poltar_sign  = NULL;

UPDATE summary SET poltar_sign  = -1 WHERE target1 = "pol3he" and tarang =   "0";
UPDATE summary SET poltar_sign  = +1 WHERE target1 = "pol3he" and tarang = "180";
UPDATE summary SET poltar_sign  = +1 WHERE target1 = "pol3he" and tarang = "270";

UPDATE summary,beampol SET polbeam_sign = moller_pol_sign_out WHERE summary.run = beampol.run;
UPDATE summary SET polbeam_sign = +1*polbeam_sign WHERE bhwp = "OUT";
UPDATE summary SET polbeam_sign = -1*polbeam_sign WHERE bhwp = "IN";
UPDATE summary SET polbeam_sign = NULL WHERE bhwp    = NULL;
UPDATE summary SET polbeam_sign = NULL WHERE polbeam = NULL;

# getting n2 run and empty run for each kin setting
SOURCE  make_closest_refcell_run.sql;

UPDATE summary SET n2_run    = NULL;
UPDATE summary SET empty_run = NULL;

UPDATE summary,close_refcell_empty SET summary.empty_run = close_refcell_empty.empty_run WHERE summary.run = close_refcell_empty.run;
UPDATE summary,close_refcell_n2    SET summary.n2_run    = close_refcell_n2.n2_run       WHERE summary.run = close_refcell_n2.run;
