DROP DATABASE IF EXISTS websumdb;
CREATE DATABASE websumdb;
USE websumdb;
GRANT ALL ON websumdb.* TO 'runner'@'localhost';
CREATE TABLE wwwbeg 
 ( 
	`krun` VARCHAR(4),
	`Log entry time hr` VARCHAR(2),
	`Log entry time min` VARCHAR(2),
	`Log entry time sec` VARCHAR(2),
	`Log entry time mon` VARCHAR(2),
	`Log entry time day` VARCHAR(2),
	`Log entry time yr` VARCHAR(4),
	`Entry number` VARCHAR(90),
	`keyword` VARCHAR(5),
	`User name` VARCHAR(5),
	`kRun_type` VARCHAR(10),
	`kbeam_energy` VARCHAR(7),
	`kbeam_halfwaveplate` VARCHAR(3),
	`kbeam_raster` VARCHAR(3),
	`kcomment_text` VARCHAR(131),
	`kdaq_mode` VARCHAR(12),
	`kkin_name` VARCHAR(1),
	`kleftarm_p` VARCHAR(6),
	`kleftarm_theta` VARCHAR(6),
	`krightarm_p` VARCHAR(7),
	`krightarm_theta` VARCHAR(6),
	`ktarget_halfwaveplate` VARCHAR(3),
	`ktarget_name` VARCHAR(8),
	`ktarget_polarization` VARCHAR(5),
	`ktarget_type` VARCHAR(21),
	`ps1` VARCHAR(4),
	`ps2` VARCHAR(4),
	`ps3` VARCHAR(4),
	`ps4` VARCHAR(4),
	`ps5` VARCHAR(5),
	`ps6` VARCHAR(5),
	`ps7` VARCHAR(5),
	`ps8` VARCHAR(5),
	`EVENTS[0]` VARCHAR(1),
	`EVENTS[+]` VARCHAR(1),
	`EVENTS[-]` VARCHAR(1),
	`TIME  [0]` VARCHAR(1),
	`TIME  [+]` VARCHAR(1),
	`TIME  [-]` VARCHAR(1),
	`LIVE  [0]` VARCHAR(1),
	`LIVE  [+]` VARCHAR(1),
	`LIVE  [-]` VARCHAR(1),
	`T1[0] rate prescale` VARCHAR(1),
	`T1[0] rate real` VARCHAR(1),
	`T2[0] rate prescale` VARCHAR(1),
	`T2[0] rate real` VARCHAR(1),
	`T8[0] rate prescale` VARCHAR(1),
	`T8[0] rate real` VARCHAR(1),
	`T1[+] rate prescale` VARCHAR(1),
	`T1[+] rate real` VARCHAR(1),
	`T2[+] rate prescale` VARCHAR(1),
	`T2[+] rate real` VARCHAR(1),
	`T8[+] rate prescale` VARCHAR(1),
	`T8[+] rate real` VARCHAR(1),
	`T1[-] rate prescale` VARCHAR(1),
	`T1[-] rate real` VARCHAR(1),
	`T2[-] rate prescale` VARCHAR(1),
	`T2[-] rate real` VARCHAR(1),
	`T8[-] rate prescale` VARCHAR(1),
	`T8[-] rate real` VARCHAR(1),
	`T1[0] totals prescale` VARCHAR(1),
	`T1[0] totals real` VARCHAR(1),
	`T2[0] totals prescale` VARCHAR(1),
	`T2[0] totals real` VARCHAR(1),
	`T8[0] totals prescale` VARCHAR(1),
	`T8[0] totals real` VARCHAR(1),
	`T1[+] totals prescale` VARCHAR(1),
	`T1[+] totals real` VARCHAR(1),
	`T2[+] totals prescale` VARCHAR(1),
	`T2[+] totals real` VARCHAR(1),
	`T8[+] totals prescale` VARCHAR(1),
	`T8[+] totals real` VARCHAR(1),
	`T1[-] totals prescale` VARCHAR(1),
	`T1[-] totals real` VARCHAR(1),
	`T2[-] totals prescale` VARCHAR(1),
	`T2[-] totals real` VARCHAR(1),
	`T8[-] totals prescale` VARCHAR(1),
	`T8[-] totals real` VARCHAR(1),
	`BCM x1` VARCHAR(1),
	`BCM x3` VARCHAR(1),
	`BCM x10` VARCHAR(1),
	`BCM u1` VARCHAR(1),
	`BCM u3` VARCHAR(1),
	`BCM u10` VARCHAR(1),
	`BCM d1` VARCHAR(1),
	`BCM d3` VARCHAR(1),
	`BCM d10` VARCHAR(1),
	`BCM u1 [0]` VARCHAR(1),
	`BCM u3 [0]` VARCHAR(1),
	`BCM u10[0]` VARCHAR(1),
	`BCM u1 [+]` VARCHAR(1),
	`BCM u3 [+]` VARCHAR(1),
	`BCM u10[+]` VARCHAR(1),
	`BCM u1 [-]` VARCHAR(1),
	`BCM u3 [-]` VARCHAR(1),
	`BCM u10[-]` VARCHAR(1),
	`BCM d1 [0]` VARCHAR(1),
	`BCM d3 [0]` VARCHAR(1),
	`BCM d10[0]` VARCHAR(1),
	`BCM d1 [+]` VARCHAR(1),
	`BCM d3 [+]` VARCHAR(1),
	`BCM d10[+]` VARCHAR(1),
	`BCM d1 [-]` VARCHAR(1),
	`BCM d3 [-]` VARCHAR(1),
	`BCM d10[-]` VARCHAR(1),
	`Run Number` VARCHAR(4),
	`run mon` VARCHAR(2),
	`run day` VARCHAR(2),
	`run hr` VARCHAR(2),
	`run min` VARCHAR(2),
	`run sec` VARCHAR(2),
	`run yr` VARCHAR(4),
	`Left Arm D1 momentum` VARCHAR(1),
	`Left Arm angle` VARCHAR(1),
	`Right Arm D1 momentum` VARCHAR(8),
	`Right Arm angle` VARCHAR(7),
	`HALLA:p` VARCHAR(7),
	`HALLA:dpp` VARCHAR(12),
	`Tiefenbach Hall A energy` VARCHAR(7),
	`Left Arm mispointing (HPT)` VARCHAR(1),
	`Right Arm mispointing (HPT)` VARCHAR(1),
	`Left Arm Top VDC Current` VARCHAR(1),
	`Left Arm Bottom VDC Current` VARCHAR(1),
	`Right Arm Top VDC Current` VARCHAR(1),
	`Right Arm Bottom VDC Current` VARCHAR(1),
	`Right septum set current` VARCHAR(7),
	`Right septum current readback` VARCHAR(6),
	`Left Arm Q1 power supply current` VARCHAR(1),
	`Left Arm Q1 momentum` VARCHAR(1),
	`Left Arm Q1 gauss meter` VARCHAR(1),
	`Left Arm Q1 power supply polarity` VARCHAR(1),
	`Left Arm Q2 power supply current` VARCHAR(1),
	`Left Arm Q2 momentum` VARCHAR(1),
	`Left Arm Q2 gauss meter` VARCHAR(1),
	`Left Arm Q2 power supply polarity` VARCHAR(1),
	`Left Arm D1 power supply current` VARCHAR(1),
	`Left Arm D1 NMR` VARCHAR(1),
	`Left Arm Q3 power supply current` VARCHAR(1),
	`Left Arm Q3 momentum` VARCHAR(1),
	`Left Arm Q3 gauss meter` VARCHAR(1),
	`Left Arm Q3 power supply polarity` VARCHAR(1),
	`Right Arm Q1 power supply current` VARCHAR(1),
	`Right Arm Q1 momentum` VARCHAR(10),
	`Right Arm Q1 gauss meter` VARCHAR(10),
	`Right Arm Q1 power supply polarity` VARCHAR(1),
	`Right Arm Q2 power supply current` VARCHAR(12),
	`Right Arm Q2 momentum` VARCHAR(12),
	`Right Arm Q2 gauss meter` VARCHAR(10),
	`Right Arm Q2 power supply polarity` VARCHAR(7),
	`Right Arm D1 power supply current` VARCHAR(10),
	`Right Arm D1 NMR` VARCHAR(8),
	`Right Arm Q3 power supply current` VARCHAR(12),
	`Right Arm Q3 momentum` VARCHAR(12),
	`Right Arm Q3 gauss meter` VARCHAR(10),
	`Right Arm Q3 power supply polarity` VARCHAR(8),
	`Average current of the two cavities` VARCHAR(9),
	`Current on Unser monitor` VARCHAR(9),
	`Current on Upstream bcm` VARCHAR(9),
	`Current on Downstream bcm` VARCHAR(9),
	`Upstream Cavity Coefficient` VARCHAR(4),
	`Downstream Cavity Coefficient` VARCHAR(4),
	`Current on IBC0L02 (source)` VARCHAR(10),
	`Hall C Current` VARCHAR(1),
	`MBSY1c Hall A Beam energy` VARCHAR(7),
	`MBSY1c magnet current (amp)` VARCHAR(9),
	`MBSY1c Bdl` VARCHAR(11),
	`MBSY3c Hall C Beam energy` VARCHAR(7),
	`Tiefenbach Hall C energy` VARCHAR(7),
	`Delta(E)/E width (MV_AI_DXWID)` VARCHAR(9),
	`IPM1C12.XPOS` VARCHAR(12),
	`IPM1H04A.XPOS` VARCHAR(12),
	`IPM1H04A.YPOS` VARCHAR(12),
	`IPM1H04B.XPOS` VARCHAR(12),
	`IPM1H04B.YPOS` VARCHAR(12),
	`Left Arm Collimator` VARCHAR(1),
	`Left LVDT HPM` VARCHAR(1),
	`Left LVDT VPM` VARCHAR(1),
	`HacL_HPE1313A:0_Ch58` VARCHAR(1),
	`HacL_HPE1313A:0_Ch55` VARCHAR(1),
	`HacL_HPE1313A:0_Ch54` VARCHAR(1),
	`HacL_alignROLL` VARCHAR(1),
	`HacL_alignPITCH` VARCHAR(1),
	`HacL_alignHPT` VARCHAR(1),
	`Right Arm Collimator` VARCHAR(12),
	`Right LVDT HPM` VARCHAR(7),
	`Right LVDT VPM` VARCHAR(5),
	`HacR_HPE1313A:0_Ch58` VARCHAR(9),
	`HacR_HPE1313A:0_Ch55` VARCHAR(7),
	`HacR_HPE1313A:0_Ch54` VARCHAR(9),
	`HacR_alignROLL` VARCHAR(9),
	`HacR_alignPITCH` VARCHAR(12),
	`HacR_alignHPT` VARCHAR(2),
	`Wien angle` VARCHAR(8),
	`Helicity Mode ON/OFF Random/Toggle` VARCHAR(3),
	`Wien BDL` VARCHAR(7),
	`Wien field` VARCHAR(6),
	`Laser attenuation Hall A` VARCHAR(3),
	`Laser power Hall A` VARCHAR(2),
	`Half-wave plate (off=out)` VARCHAR(3),
	`rotating waveplate` VARCHAR(4),
	`Beam Half-wave plate (off=out)` VARCHAR(3),
	`G0 Helicity Settle Set` VARCHAR(8),
	`G0 Helicity Delay Set` VARCHAR(8),
	`G0 Helicity Pattern Set` VARCHAR(7),
	`G0 Helicity Settle Read` VARCHAR(8),
	`G0 Helicity Delay Read` VARCHAR(8),
	`G0 Helicity Pattern` VARCHAR(7),
	`Target OTR x-position` VARCHAR(10),
	`Target OTR y-position` VARCHAR(10),
	`Target OTR x-width` VARCHAR(9),
	`Target OTR y-width` VARCHAR(9),
	`Target OTR data valid flag` VARCHAR(3),
	`Target OTR In/Out` VARCHAR(15),
	`Arc OTR x-position` VARCHAR(9),
	`Arc OTR y-position` VARCHAR(12),
	`Arc OTR x-width` VARCHAR(9),
	`Arc OTR y-width` VARCHAR(9),
	`Arc OTR data valid flag` VARCHAR(2),
	`Arc OTR In/Out` VARCHAR(13),
	`Polarized 3He Target RTD #1` VARCHAR(1),
	`Polarized 3He Target RTD #2` VARCHAR(1),
	`Polarized 3He Target RTD #3` VARCHAR(1),
	`Polarized 3He Target RTD #4` VARCHAR(1),
	`Polarized 3He Target RTD #5` VARCHAR(1),
	`Polarized 3He Target RTD #6` VARCHAR(1),
	`Polarized 3He Target RTD #7` VARCHAR(1),
	`Polarized 3He Ref. Cell RTD #8` VARCHAR(1),
	`Polarized 3He Ref. Cell RTD #9` VARCHAR(1),
	`Polarized 3He Ref. Cell RTD #10` VARCHAR(1),
	`Polarized 3He Target Ref. Cell Gas Pres.` VARCHAR(1),
	`Polarized 3He Target Ref. Cell Sys.Vac.` VARCHAR(1),
	`Polarized 3He Target Cooling Jet` VARCHAR(1),
	`Polarized 3He Target OVEN RTD` VARCHAR(1),
	`Polarized 3He Target OVEN SP1 SET` VARCHAR(1),
	`Polarized 3He Target OVEN SP1` VARCHAR(1),
	`Polarized 3He Target OVEN AL1 SET` VARCHAR(1),
	`Polarized 3He Target OVEN AL1` VARCHAR(1),
	`Polarized 3He Target OVEN AL1 STATUS` VARCHAR(1),
	`Polarized 3He Target Half-Wave Plate DIST` VARCHAR(1),
	`Polarized 3He Target Half-Wave Plate STAT` VARCHAR(1),
	`Polarized 3He Target Position (PA)` VARCHAR(1),
	`Polarized 3He Target Position (POS)` VARCHAR(1),
	`Polarized 3He Target Position (DA)` VARCHAR(1),
	`Polarized 3He Target Position (SS9)` VARCHAR(1),
	`Polarized 3He Target Position (SA10)` VARCHAR(1),
	`Polarized 3He Target Position (SA9)` VARCHAR(1),
	`Polarized 3He Laser#1 State` VARCHAR(1),
	`Polarized 3He Laser#1 Current` VARCHAR(1),
	`Polarized 3He Laser#1 Temperature` VARCHAR(1),
	`Polarized 3He Laser#2 State` VARCHAR(1),
	`Polarized 3He Laser#2 Current` VARCHAR(1),
	`Polarized 3He Laser#2 Temperature` VARCHAR(1),
	`Polarized 3He Laser#3 State` VARCHAR(1),
	`Polarized 3He Laser#3 Current` VARCHAR(1),
	`Polarized 3He Laser#3 Temperature` VARCHAR(1),
	`Polarized 3He Laser#4 State` VARCHAR(1),
	`Polarized 3He Laser#4 Current` VARCHAR(1),
	`Polarized 3He Laser#4 Temperature` VARCHAR(1),
	`Polarized 3He Laser#5 State` VARCHAR(1),
	`Polarized 3He Laser#5 Current` VARCHAR(1),
	`Polarized 3He Laser#5 Temperature` VARCHAR(1),
	`Polarized 3He Laser#6 State` VARCHAR(1),
	`Polarized 3He Laser#6 Current` VARCHAR(1),
	`Polarized 3He Laser#6 Temperature` VARCHAR(1),
	`Polarized 3He Laser#7 State` VARCHAR(1),
	`Polarized 3He Laser#7 Current` VARCHAR(1),
	`Polarized 3He Laser#7 Temperature` VARCHAR(1),
	`Polarized 3He Coil Current Longitudinal` VARCHAR(6),
	`Polarized 3He Coil Current Transverse` VARCHAR(6),
	`Transverse gradient coils (A) setup current` VARCHAR(8),
	`Transverse gradient coils (A) readback current` VARCHAR(11),
	`Longitudinal upstream gradient coil (B) setup current` VARCHAR(7),
	`Longitudinal upstream gradient coil (B) readback current` VARCHAR(11),
	`Longitudinal downstream gradient coil (C) setup current` VARCHAR(7),
	`Longitudinal downstream gradient coil (C) readback current` VARCHAR(12),
	`Small vertical gradient coils (D) setup current` VARCHAR(8),
	`Small vertical gradient coils (D) readback current` VARCHAR(12),
	`Left Arm D1 momentum 2` VARCHAR(1),
	`Right Arm D1 momentum 2` VARCHAR(1),
	`Tiefenbach Hall A energy 2` VARCHAR(1),
	`Log book entry time is secs from midnnight April 20` VARCHAR(8),
	`Run stop time is secs from midnnight April 20` VARCHAR(8),
	`kCOMMENTS` VARCHAR(1),
	`Number of run summary files for this run` VARCHAR(1),
	`Right Arm Top VDC voltage` VARCHAR(11),
	`Right Arm Bottom VDC voltage` VARCHAR(11),
	`Arc1 dp/p` VARCHAR(11),
	`Arc2 dp/p` VARCHAR(11),
	`Right Arm Angle Floor Angle` VARCHAR(4),
	`Right Arm Angle Vernier` VARCHAR(5),
	`IPM1C12.YPOS` VARCHAR(12),
	`Survey X offset bpmA` VARCHAR(5),
	`Survey Y offset bpmA` VARCHAR(4),
	`Survey X offset bpmB` VARCHAR(4),
	`Survey Y offset bpmB` VARCHAR(2)
 );
LOAD DATA LOCAL INFILE '../rightbeg.raw' INTO TABLE wwwbeg;
CREATE TABLE wwwend 
 ( 
	`krun` VARCHAR(4),
	`Log entry time hr` VARCHAR(2),
	`Log entry time min` VARCHAR(2),
	`Log entry time sec` VARCHAR(2),
	`Log entry time mon` VARCHAR(2),
	`Log entry time day` VARCHAR(2),
	`Log entry time yr` VARCHAR(4),
	`Entry number` VARCHAR(90),
	`keyword` VARCHAR(3),
	`User name` VARCHAR(5),
	`kRun_type` VARCHAR(10),
	`kbeam_energy` VARCHAR(7),
	`kbeam_halfwaveplate` VARCHAR(3),
	`kbeam_raster` VARCHAR(3),
	`kcomment_text` VARCHAR(131),
	`kdaq_mode` VARCHAR(12),
	`kkin_name` VARCHAR(4),
	`kleftarm_p` VARCHAR(6),
	`kleftarm_theta` VARCHAR(6),
	`krightarm_p` VARCHAR(7),
	`krightarm_theta` VARCHAR(6),
	`ktarget_halfwaveplate` VARCHAR(3),
	`ktarget_name` VARCHAR(8),
	`ktarget_polarization` VARCHAR(5),
	`ktarget_type` VARCHAR(69),
	`ps1` VARCHAR(4),
	`ps2` VARCHAR(4),
	`ps3` VARCHAR(4),
	`ps4` VARCHAR(4),
	`ps5` VARCHAR(5),
	`ps6` VARCHAR(5),
	`ps7` VARCHAR(5),
	`ps8` VARCHAR(5),
	`EVENTS[0]` VARCHAR(8),
	`EVENTS[+]` VARCHAR(8),
	`EVENTS[-]` VARCHAR(8),
	`TIME  [0]` VARCHAR(8),
	`TIME  [+]` VARCHAR(8),
	`TIME  [-]` VARCHAR(8),
	`LIVE  [0]` VARCHAR(6),
	`LIVE  [+]` VARCHAR(8),
	`LIVE  [-]` VARCHAR(7),
	`T1[0] rate prescale` VARCHAR(8),
	`T1[0] rate real` VARCHAR(8),
	`T2[0] rate prescale` VARCHAR(6),
	`T2[0] rate real` VARCHAR(7),
	`T8[0] rate prescale` VARCHAR(6),
	`T8[0] rate real` VARCHAR(6),
	`T1[+] rate prescale` VARCHAR(8),
	`T1[+] rate real` VARCHAR(8),
	`T2[+] rate prescale` VARCHAR(6),
	`T2[+] rate real` VARCHAR(7),
	`T8[+] rate prescale` VARCHAR(6),
	`T8[+] rate real` VARCHAR(6),
	`T1[-] rate prescale` VARCHAR(8),
	`T1[-] rate real` VARCHAR(8),
	`T2[-] rate prescale` VARCHAR(6),
	`T2[-] rate real` VARCHAR(7),
	`T8[-] rate prescale` VARCHAR(6),
	`T8[-] rate real` VARCHAR(6),
	`T1[0] totals prescale` VARCHAR(9),
	`T1[0] totals real` VARCHAR(11),
	`T2[0] totals prescale` VARCHAR(7),
	`T2[0] totals real` VARCHAR(9),
	`T8[0] totals prescale` VARCHAR(6),
	`T8[0] totals real` VARCHAR(11),
	`T1[+] totals prescale` VARCHAR(9),
	`T1[+] totals real` VARCHAR(11),
	`T2[+] totals prescale` VARCHAR(6),
	`T2[+] totals real` VARCHAR(9),
	`T8[+] totals prescale` VARCHAR(6),
	`T8[+] totals real` VARCHAR(10),
	`T1[-] totals prescale` VARCHAR(9),
	`T1[-] totals real` VARCHAR(11),
	`T2[-] totals prescale` VARCHAR(6),
	`T2[-] totals real` VARCHAR(9),
	`T8[-] totals prescale` VARCHAR(6),
	`T8[-] totals real` VARCHAR(10),
	`BCM x1` VARCHAR(6),
	`BCM x3` VARCHAR(6),
	`BCM x10` VARCHAR(6),
	`BCM u1` VARCHAR(10),
	`BCM u3` VARCHAR(10),
	`BCM u10` VARCHAR(10),
	`BCM d1` VARCHAR(10),
	`BCM d3` VARCHAR(10),
	`BCM d10` VARCHAR(10),
	`BCM u1 [0]` VARCHAR(15),
	`BCM u3 [0]` VARCHAR(15),
	`BCM u10[0]` VARCHAR(15),
	`BCM u1 [+]` VARCHAR(15),
	`BCM u3 [+]` VARCHAR(15),
	`BCM u10[+]` VARCHAR(15),
	`BCM u1 [-]` VARCHAR(15),
	`BCM u3 [-]` VARCHAR(15),
	`BCM u10[-]` VARCHAR(15),
	`BCM d1 [0]` VARCHAR(15),
	`BCM d3 [0]` VARCHAR(15),
	`BCM d10[0]` VARCHAR(15),
	`BCM d1 [+]` VARCHAR(15),
	`BCM d3 [+]` VARCHAR(15),
	`BCM d10[+]` VARCHAR(15),
	`BCM d1 [-]` VARCHAR(15),
	`BCM d3 [-]` VARCHAR(15),
	`BCM d10[-]` VARCHAR(15),
	`Run Number` VARCHAR(4),
	`run mon` VARCHAR(2),
	`run day` VARCHAR(2),
	`run hr` VARCHAR(2),
	`run min` VARCHAR(2),
	`run sec` VARCHAR(2),
	`run yr` VARCHAR(4),
	`Left Arm D1 momentum` BLOB,
	`Left Arm angle` VARCHAR(7),
	`Right Arm D1 momentum` VARCHAR(8),
	`Right Arm angle` VARCHAR(7),
	`HALLA:p` VARCHAR(7),
	`HALLA:dpp` VARCHAR(12),
	`Tiefenbach Hall A energy` VARCHAR(7),
	`Left Arm mispointing (HPT)` VARCHAR(1),
	`Right Arm mispointing (HPT)` VARCHAR(2),
	`Left Arm Top VDC Current` VARCHAR(10),
	`Left Arm Bottom VDC Current` VARCHAR(10),
	`Right Arm Top VDC Current` VARCHAR(1),
	`Right Arm Bottom VDC Current` VARCHAR(1),
	`Right septum set current` VARCHAR(7),
	`Right septum current readback` VARCHAR(6),
	`Left Arm Q1 power supply current` VARCHAR(1),
	`Left Arm Q1 momentum` VARCHAR(10),
	`Left Arm Q1 gauss meter` VARCHAR(1),
	`Left Arm Q1 power supply polarity` VARCHAR(1),
	`Left Arm Q2 power supply current` VARCHAR(12),
	`Left Arm Q2 momentum` VARCHAR(12),
	`Left Arm Q2 gauss meter` VARCHAR(1),
	`Left Arm Q2 power supply polarity` VARCHAR(8),
	`Left Arm D1 power supply current` VARCHAR(10),
	`Left Arm D1 NMR` VARCHAR(8),
	`Left Arm Q3 power supply current` VARCHAR(11),
	`Left Arm Q3 momentum` VARCHAR(11),
	`Left Arm Q3 gauss meter` VARCHAR(1),
	`Left Arm Q3 power supply polarity` VARCHAR(8),
	`Right Arm Q1 power supply current` VARCHAR(1),
	`Right Arm Q1 momentum` VARCHAR(10),
	`Right Arm Q1 gauss meter` VARCHAR(10),
	`Right Arm Q1 power supply polarity` VARCHAR(1),
	`Right Arm Q2 power supply current` VARCHAR(12),
	`Right Arm Q2 momentum` VARCHAR(12),
	`Right Arm Q2 gauss meter` VARCHAR(10),
	`Right Arm Q2 power supply polarity` VARCHAR(7),
	`Right Arm D1 power supply current` VARCHAR(10),
	`Right Arm D1 NMR` VARCHAR(8),
	`Right Arm Q3 power supply current` VARCHAR(12),
	`Right Arm Q3 momentum` VARCHAR(12),
	`Right Arm Q3 gauss meter` VARCHAR(10),
	`Right Arm Q3 power supply polarity` VARCHAR(8),
	`Average current of the two cavities` VARCHAR(9),
	`Current on Unser monitor` VARCHAR(8),
	`Current on Upstream bcm` VARCHAR(12),
	`Current on Downstream bcm` VARCHAR(9),
	`Upstream Cavity Coefficient` VARCHAR(4),
	`Downstream Cavity Coefficient` VARCHAR(4),
	`Current on IBC0L02 (source)` VARCHAR(10),
	`Hall C Current` BLOB,
	`MBSY1c Hall A Beam energy` VARCHAR(7),
	`MBSY1c magnet current (amp)` VARCHAR(9),
	`MBSY1c Bdl` VARCHAR(11),
	`MBSY3c Hall C Beam energy` VARCHAR(7),
	`Tiefenbach Hall C energy` VARCHAR(7),
	`Delta(E)/E width (MV_AI_DXWID)` VARCHAR(9),
	`IPM1C12.XPOS` VARCHAR(12),
	`IPM1H04A.XPOS` VARCHAR(12),
	`IPM1H04A.YPOS` VARCHAR(12),
	`IPM1H04B.XPOS` VARCHAR(12),
	`IPM1H04B.YPOS` VARCHAR(12),
	`Left Arm Collimator` VARCHAR(9),
	`Left LVDT HPM` VARCHAR(1),
	`Left LVDT VPM` VARCHAR(1),
	`HacL_HPE1313A:0_Ch58` VARCHAR(9),
	`HacL_HPE1313A:0_Ch55` VARCHAR(7),
	`HacL_HPE1313A:0_Ch54` VARCHAR(10),
	`HacL_alignROLL` VARCHAR(1),
	`HacL_alignPITCH` VARCHAR(1),
	`HacL_alignHPT` VARCHAR(1),
	`Right Arm Collimator` VARCHAR(12),
	`Right LVDT HPM` VARCHAR(7),
	`Right LVDT VPM` VARCHAR(5),
	`HacR_HPE1313A:0_Ch58` VARCHAR(9),
	`HacR_HPE1313A:0_Ch55` VARCHAR(7),
	`HacR_HPE1313A:0_Ch54` VARCHAR(9),
	`HacR_alignROLL` VARCHAR(9),
	`HacR_alignPITCH` VARCHAR(12),
	`HacR_alignHPT` VARCHAR(2),
	`Wien angle` VARCHAR(8),
	`Helicity Mode ON/OFF Random/Toggle` VARCHAR(3),
	`Wien BDL` VARCHAR(7),
	`Wien field` VARCHAR(6),
	`Laser attenuation Hall A` VARCHAR(3),
	`Laser power Hall A` VARCHAR(2),
	`Half-wave plate (off=out)` VARCHAR(3),
	`rotating waveplate` VARCHAR(4),
	`Beam Half-wave plate (off=out)` VARCHAR(3),
	`G0 Helicity Settle Set` VARCHAR(8),
	`G0 Helicity Delay Set` VARCHAR(8),
	`G0 Helicity Pattern Set` VARCHAR(7),
	`G0 Helicity Settle Read` VARCHAR(8),
	`G0 Helicity Delay Read` VARCHAR(8),
	`G0 Helicity Pattern` VARCHAR(7),
	`Target OTR x-position` VARCHAR(12),
	`Target OTR y-position` VARCHAR(11),
	`Target OTR x-width` VARCHAR(9),
	`Target OTR y-width` VARCHAR(9),
	`Target OTR data valid flag` VARCHAR(3),
	`Target OTR In/Out` VARCHAR(58),
	`Arc OTR x-position` VARCHAR(10),
	`Arc OTR y-position` VARCHAR(12),
	`Arc OTR x-width` VARCHAR(9),
	`Arc OTR y-width` VARCHAR(9),
	`Arc OTR data valid flag` VARCHAR(2),
	`Arc OTR In/Out` VARCHAR(14),
	`Polarized 3He Target RTD #1` VARCHAR(7),
	`Polarized 3He Target RTD #2` VARCHAR(7),
	`Polarized 3He Target RTD #3` VARCHAR(7),
	`Polarized 3He Target RTD #4` VARCHAR(7),
	`Polarized 3He Target RTD #5` VARCHAR(7),
	`Polarized 3He Target RTD #6` VARCHAR(7),
	`Polarized 3He Target RTD #7` VARCHAR(7),
	`Polarized 3He Ref. Cell RTD #8` VARCHAR(7),
	`Polarized 3He Ref. Cell RTD #9` VARCHAR(7),
	`Polarized 3He Ref. Cell RTD #10` VARCHAR(7),
	`Polarized 3He Target Ref. Cell Gas Pres.` VARCHAR(8),
	`Polarized 3He Target Ref. Cell Sys.Vac.` VARCHAR(9),
	`Polarized 3He Target Cooling Jet` VARCHAR(9),
	`Polarized 3He Target OVEN RTD` VARCHAR(5),
	`Polarized 3He Target OVEN SP1 SET` VARCHAR(3),
	`Polarized 3He Target OVEN SP1` VARCHAR(3),
	`Polarized 3He Target OVEN AL1 SET` VARCHAR(3),
	`Polarized 3He Target OVEN AL1` VARCHAR(3),
	`Polarized 3He Target OVEN AL1 STATUS` VARCHAR(13),
	`Polarized 3He Target Half-Wave Plate DIST` VARCHAR(7),
	`Polarized 3He Target Half-Wave Plate STAT` VARCHAR(7),
	`Polarized 3He Target Position (PA)` VARCHAR(8),
	`Polarized 3He Target Position (POS)` VARCHAR(15),
	`Polarized 3He Target Position (DA)` VARCHAR(8),
	`Polarized 3He Target Position (SS9)` VARCHAR(10),
	`Polarized 3He Target Position (SA10)` VARCHAR(1),
	`Polarized 3He Target Position (SA9)` VARCHAR(1),
	`Polarized 3He Laser#1 State` VARCHAR(2),
	`Polarized 3He Laser#1 Current` VARCHAR(2),
	`Polarized 3He Laser#1 Temperature` VARCHAR(4),
	`Polarized 3He Laser#2 State` VARCHAR(2),
	`Polarized 3He Laser#2 Current` VARCHAR(4),
	`Polarized 3He Laser#2 Temperature` VARCHAR(3),
	`Polarized 3He Laser#3 State` VARCHAR(2),
	`Polarized 3He Laser#3 Current` VARCHAR(4),
	`Polarized 3He Laser#3 Temperature` VARCHAR(4),
	`Polarized 3He Laser#4 State` VARCHAR(2),
	`Polarized 3He Laser#4 Current` VARCHAR(2),
	`Polarized 3He Laser#4 Temperature` VARCHAR(4),
	`Polarized 3He Laser#5 State` VARCHAR(2),
	`Polarized 3He Laser#5 Current` VARCHAR(4),
	`Polarized 3He Laser#5 Temperature` VARCHAR(4),
	`Polarized 3He Laser#6 State` VARCHAR(2),
	`Polarized 3He Laser#6 Current` VARCHAR(4),
	`Polarized 3He Laser#6 Temperature` VARCHAR(4),
	`Polarized 3He Laser#7 State` VARCHAR(2),
	`Polarized 3He Laser#7 Current` VARCHAR(2),
	`Polarized 3He Laser#7 Temperature` VARCHAR(3),
	`Polarized 3He Coil Current Longitudinal` VARCHAR(117),
	`Polarized 3He Coil Current Transverse` VARCHAR(6),
	`Transverse gradient coils (A) setup current` VARCHAR(8),
	`Transverse gradient coils (A) readback current` VARCHAR(11),
	`Longitudinal upstream gradient coil (B) setup current` VARCHAR(7),
	`Longitudinal upstream gradient coil (B) readback current` VARCHAR(12),
	`Longitudinal downstream gradient coil (C) setup current` VARCHAR(7),
	`Longitudinal downstream gradient coil (C) readback current` VARCHAR(12),
	`Small vertical gradient coils (D) setup current` VARCHAR(8),
	`Small vertical gradient coils (D) readback current` VARCHAR(12),
	`Left Arm D1 momentum 2` VARCHAR(8),
	`Right Arm D1 momentum 2` VARCHAR(8),
	`Tiefenbach Hall A energy 2` VARCHAR(7),
	`Log book entry time is secs from midnnight April 20` VARCHAR(8),
	`Run stop time is secs from midnnight April 20` VARCHAR(8),
	`kCOMMENTS` VARCHAR(134),
	`Number of run summary files for this run` VARCHAR(1)
 );
LOAD DATA LOCAL INFILE '../rightend.raw' INTO TABLE wwwend;
